import * as express from 'express';
import { MongoClient } from 'mongodb';
import * as fs from 'fs';

const config = JSON.parse(fs.readFileSync('./config/config.json', {encoding: 'utf8'}));

const dbClient = new MongoClient(config.dbconnectionURL);

let db;

console.log('connecting to mongodb database...');
dbClient.connect((err) => {
	if (err) return console.log(err);
	console.log('connected to database!');

	db = dbClient.db(config.dbname);
	const app = express();

	app.use(express.urlencoded({ extended: true }));

	app.get('/', (req, res) => {
		res.send('Hello World');
	});

	require('./getGJLevels21')(app, db);

	app.get('*', (req, res) => res.status(404).send('wrong page dumbass'));

	app.listen(config.port);
});